From: Vincent Donnefort <vdonnefort@google.com>
To: rostedt@goodmis.org, mhiramat@kernel.org,
mathieu.desnoyers@efficios.com,
linux-trace-kernel@vger.kernel.org
Cc: kernel-team@android.com, linux-kernel@vger.kernel.org,
Vincent Donnefort <vdonnefort@google.com>
Subject: [PATCH 10/13] tracing/remotes: selftests: Add a test for the dump_on_oops tracefs file
Date: Tue, 2 Jun 2026 18:11:42 +0100 [thread overview]
Message-ID: <20260602171146.2238998-11-vdonnefort@google.com> (raw)
In-Reply-To: <20260602171146.2238998-1-vdonnefort@google.com>
Exercise the newly introduced dump_on_oops tracefs file that turns on
or off the trace remote buffer dump on system panic.
Signed-off-by: Vincent Donnefort <vdonnefort@google.com>
diff --git a/tools/testing/selftests/ftrace/test.d/remotes/00hypervisor/dump_on_oops.tc b/tools/testing/selftests/ftrace/test.d/remotes/00hypervisor/dump_on_oops.tc
new file mode 100644
index 000000000000..6c3f93ab922d
--- /dev/null
+++ b/tools/testing/selftests/ftrace/test.d/remotes/00hypervisor/dump_on_oops.tc
@@ -0,0 +1,11 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+# description: Test hypervisor trace dump_on_oops
+# requires: remotes/hypervisor/write_event
+
+SOURCE_REMOTE_TEST=1
+. $TEST_DIR/remotes/dump_on_oops.tc
+
+set -e
+setup_remote "hypervisor"
+test_dump_on_oops
diff --git a/tools/testing/selftests/ftrace/test.d/remotes/dump_on_oops.tc b/tools/testing/selftests/ftrace/test.d/remotes/dump_on_oops.tc
new file mode 100644
index 000000000000..4f5f26cb3291
--- /dev/null
+++ b/tools/testing/selftests/ftrace/test.d/remotes/dump_on_oops.tc
@@ -0,0 +1,51 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+# description: Test trace remote dump_on_oops
+# requires: remotes/test
+
+. $TEST_DIR/remotes/functions
+
+test_dump_on_oops()
+{
+ #
+ # Toggle when the buffer is unloaded
+ #
+ echo 1 > dump_on_oops
+ echo 0 > dump_on_oops
+
+ #
+ # Toggle when the buffer is loaded
+ #
+ echo 1 > tracing_on
+ assert_loaded
+
+ echo 1 > dump_on_oops
+ echo 0 > dump_on_oops
+
+ #
+ # Load and unload buffer while dump_on_oops is enabled
+ #
+ echo 0 > tracing_on
+ assert_unloaded
+
+ echo 1 > dump_on_oops
+ echo 1 > tracing_on
+ echo 0 > tracing_on
+
+ # REMOVE ME FOR A PROPER OOPS TEST
+ return
+
+ echo 1 > tracing_on
+
+ for i in $(seq 1 32); do
+ echo $i > write_event
+ done
+
+ echo c > /proc/sysrq-trigger
+}
+
+if [ -z "$SOURCE_REMOTE_TEST" ]; then
+ set -e
+ setup_remote_test
+ test_dump_on_oops
+fi
diff --git a/tools/testing/selftests/ftrace/test.d/remotes/functions b/tools/testing/selftests/ftrace/test.d/remotes/functions
index 8dd9c961977b..887b9296d0a7 100644
--- a/tools/testing/selftests/ftrace/test.d/remotes/functions
+++ b/tools/testing/selftests/ftrace/test.d/remotes/functions
@@ -9,6 +9,7 @@ setup_remote()
cd remotes/$name/
echo 0 > tracing_on
echo 0 > printk
+ echo 0 > dump_on_oops
clear_trace
echo 7 > buffer_size_kb
echo 0 > events/enable
--
2.54.0.1032.g2f8565e1d1-goog
next prev parent reply other threads:[~2026-06-02 17:12 UTC|newest]
Thread overview: 14+ messages / expand[flat|nested] mbox.gz Atom feed top
2026-06-02 17:11 [PATCH 00/13] tracing/remotes: Add printk, dump_on_oops and boot parameters Vincent Donnefort
2026-06-02 17:11 ` [PATCH 01/13] tracing/remotes: Release tracefs,eventfs on registration failure Vincent Donnefort
2026-06-02 17:11 ` [PATCH 02/13] tracing/remotes: Use kstrtobool for boolean tracefs files Vincent Donnefort
2026-06-02 17:11 ` [PATCH 03/13] tracing/remotes: Use a single per-remote polling work Vincent Donnefort
2026-06-02 17:11 ` [PATCH 04/13] tracing/simple_ring_buffer: Add support for compressed length Vincent Donnefort
2026-06-02 17:11 ` [PATCH 05/13] tracing/remotes: Add printk tracefs file Vincent Donnefort
2026-06-02 17:11 ` [PATCH 06/13] tracing/remotes: selftests: Add a test for the " Vincent Donnefort
2026-06-02 17:11 ` [PATCH 07/13] tracing/remotes: selftests: Prefix hypervisor folder Vincent Donnefort
2026-06-02 17:11 ` [PATCH 08/13] ring-buffer: Add ring_buffer_read_remote_meta_page() Vincent Donnefort
2026-06-02 17:11 ` [PATCH 09/13] tracing/remotes: Add dump_on_oops tracefs file Vincent Donnefort
2026-06-02 17:11 ` Vincent Donnefort [this message]
2026-06-02 17:11 ` [PATCH 11/13] Documentation: tracing/remotes: Add detailed tracefs layout Vincent Donnefort
2026-06-02 17:11 ` [PATCH 12/13] tracing/remotes: Add trace_remote cmdline options Vincent Donnefort
2026-06-02 17:11 ` [PATCH 13/13] Documentation/kernel-parameters: Add trace_remote Vincent Donnefort
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20260602171146.2238998-11-vdonnefort@google.com \
--to=vdonnefort@google.com \
--cc=kernel-team@android.com \
--cc=linux-kernel@vger.kernel.org \
--cc=linux-trace-kernel@vger.kernel.org \
--cc=mathieu.desnoyers@efficios.com \
--cc=mhiramat@kernel.org \
--cc=rostedt@goodmis.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox